# cabal2spec-0.25.2
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name OpenGL

%global common_summary Haskell %{pkg_name} library

%global common_description Haskell bindings to the OpenGL graphics library.

Name:           ghc-%{pkg_name}
# part of haskell-platform-2011.4.0.0
Version:        2.2.3.0
Release:        12%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-base-prof
BuildRequires:  mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package
Requires:       mesa-libGL-devel%{?_isa}
Requires:       mesa-libGLU-devel%{?_isa}

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files


%changelog
* Fri Jan  6 2012 Jens Petersen <petersen@redhat.com> - 2.2.3.0-12
- update to cabal2spec-0.25.2

* Fri Nov 11 2011 Jens Petersen <petersen@redhat.com> - 2.2.3.0-11
- update to cabal2spec-0.24.1
- append _isa to mesa-libGL*-devel requires

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 2.2.3.0-10.3
- rebuild with new gmp without compat lib

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 2.2.3.0-10.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 2.2.3.0-10.1
- rebuild with new gmp

* Tue Jun 21 2011 Jens Petersen <petersen@redhat.com> - 2.2.3.0-10
- ghc_arches replaces ghc_excluded_archs

* Mon Jun 20 2011 Jens Petersen <petersen@redhat.com> - 2.2.3.0-9
- BR ghc-Cabal-devel and use ghc_excluded_archs

* Fri May 27 2011 Jens Petersen <petersen@redhat.com> - 2.2.3.0-8
- update to cabal2spec-0.23: add ppc64

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 2.2.3.0-7
- Enable build on sparcv9

* Tue Jan 18 2011 Jens Petersen <petersen@redhat.com> - 2.2.3.0-6
- update to cabal2spec-0.22.4

* Thu Nov 25 2010 Jens Petersen <petersen@redhat.com> - 2.2.3.0-5
- drop -o obsoletes

* Sat Jul 31 2010 Jens Petersen <petersen@redhat.com> - 2.2.3.0-4
- ghc-rpm-macros-0.8.1 for doc obsoletes
- part of haskell-platform-2010.2.0.0
- add hscolour

* Sat Jun 26 2010 Jens Petersen <petersen@redhat.com> - 2.2.3.0-3
- sync cabal2spec-0.22

* Tue Apr 27 2010 Jens Petersen <petersen@redhat.com> - 2.2.3.0-2
- part of haskell-platform-2010.1.0.0
- rebuild against ghc-6.12.2
- condition ghc_lib_package

* Mon Jan 11 2010 Jens Petersen <petersen@redhat.com> - 2.2.3.0-1
- update to 2.2.3.0 (current haskell-platform-2009.3.1)
- update to ghc-rpm-macros-0.5.1 and cabal2spec-0.21.1:
- drop doc and prof bcond
- use ghc_lib_package

* Sat Dec 26 2009 Jens Petersen <petersen@redhat.com> - 2.2.1.1-2
- update for ghc-6.12.1: add shared library support
- use new ghc*_requires macros: needs ghc-rpm-macros 0.4.0
- add common_summary and common_description

* Wed Aug 12 2009 Bryan O'Sullivan <bos@serpentine.com> - 2.2.1.1-1
- initial packaging for Fedora created by cabal2spec
